FHIR Complete

Billing

Accounts, charges, invoices, and claims

Account

Manage patient billing accounts:

GET /Account?patient={id}&status={status}&_count={limit}&_offset={offset}
POST /Account
GET /Account/{resource_id}
PUT /Account/{resource_id}
DELETE /Account/{resource_id}

Account Status Values

  • active — Open account with charges
  • inactive — Closed account
  • entered-in-error — Erroneous entry

ChargeItem

Record individual charges for services:

GET /ChargeItem?patient={id}&account={accountId}&_count={limit}&_offset={offset}
POST /ChargeItem
GET /ChargeItem/{resource_id}
PUT /ChargeItem/{resource_id}
DELETE /ChargeItem/{resource_id}

Invoice

Generate and manage invoices:

GET /Invoice?patient={id}&account={accountId}&status={status}&_count={limit}&_offset={offset}
POST /Invoice
GET /Invoice/{resource_id}
PUT /Invoice/{resource_id}
DELETE /Invoice/{resource_id}

Invoice Status Values

  • draft — Being prepared
  • issued — Sent to patient
  • balanced — Fully paid
  • cancelled — Voided

Claim

Submit insurance claims:

GET /Claim?patient={id}&status={status}&_count={limit}&_offset={offset}
POST /Claim
GET /Claim/{resource_id}
PUT /Claim/{resource_id}
DELETE /Claim/{resource_id}

Pricelist

Manage procedure pricing:

GET /Pricelist?code={code}&name={name}&_count={limit}&_offset={offset}
POST /Pricelist
GET /Pricelist/{resource_id}
PUT /Pricelist/{resource_id}

Procedure Catalog

GET /ProcedureCatalog?name={name}&category={cat}&_count={limit}&_offset={offset}
POST /ProcedureCatalog
GET /ProcedureCatalog/{resource_id}
PUT /ProcedureCatalog/{resource_id}